Bot that allows you to control your server from discord

Requirements:

1) Valheim Dedicated Server
2) Opened port (5986 by default)

</b>
<details>
  <summary>
    <b>Possible Commands:</b>
</summary>

Game-related:

1) /addglobalkey (key) - Adds global key to server
2) /removeglobalkey (key) - Removes global key from server
3) /globalkeys - Lists all global keys
4) /banlist - Lists all banned users
5) /ban (player name) - Bans player
6) /bansteamid (steamid) - Bans player by steamid
7) /unban (steam id) - Unbans player
8) /kick (player name) - Kicks player
9) /cheatercheck (steam id) - Checks if player was tagged by Azu Anticheat
10) /tp (player name) (x) (y) (z) - Teleports player to position
11) /whitelist - Lists all whitelisted players
12) /addwhitelist (steam id) - Adds player to whitelist
13) /removewhitelist (steam id) - Removes player from whitelist
14) /say (message) - Says message as server notification
15) /saychat (message) - Says message as chat notification
16) /heal (player name) - Heals player
17) /kill (player name) - Kills player
18) /give (player name) (item id) (amount) (level) - Gives player an item
19) /spawn (x) (y) (z) (prefab) (amount) (level) - Spawns prefab in XYZ pos
20) /players - Lists all players with additional info (steam id, position, health, etc)
21) /pos (player name) - Shows player position
22) /scanpieces (prefab) - Scans all pieces of prefab builded on map
23) /removepieces (prefab) (creator id) - removes all pieces by prefab and creator id from map

![](https://i.imgur.com/d7ImfJT.png)


Discord-related:

1) /scsettings setip (server ip) (port [5986 by default]) (password from ServerControl.cfg) - Connects discord to your game server
2) /scsettings showdays (channel) - Sets discord voice channel to show days ingame (updates each 5 minutes)
3) /scsettings showonline (channel) - Sets discord voice channel to show current online (updates each 5 minutes)
4) /scsettings setspeakchannel (channel) - Sets discord text channel as "speak channel". Each message from this channel will be sent into the game
5) /scsettings setspeakchannel2 (channel) - Sets discord text channel as "speak channel 2". Each message from this channel will be sent into the game
6) /addtag (discord user) (tag) - Sets in-game tag before nickname while using speak channel

![](https://i.imgur.com/wvk4Z0f.png)

![](https://i.imgur.com/hKkAqoM.png)

![](https://i.imgur.com/RY65n9a.png)

</details>

<details>
  <summary>
    <b>How-to install:</b>
</summary>

1) Invite bot to your discord server: https://discord.com/api/oauth2/authorize?client_id=909892035513835521&permissions=8&scope=bot%20applications.commands
2) Put ServerControl.dll (main plugin) ONLY in serverside. Mod doesn't need to be on clients
3) Start server
4) After start ServerControl.cfg should appear in Server/BepInEx/config/ServerControl.cfg folder
5) Open .cfg to see your generated server password:

![](https://i.imgur.com/8e3QPvB.png)

6) In discord use /scsettings setip (serverip) (port) (password) command to connect discord server to valheim server
   . (im using local server so im using 127.0.0.1 as IP)
   ![](https://i.imgur.com/Ucqbpk5.png)
7) If all was successfull you will get message "Server IP changed". Then you can start using bot commands

<b>Only discord server ADMINS can use bot commands. But if you want to completely hide /slash commands from normal users you can go discord settings => integrations => Server Control Bot and change command visibility
</b>
![](https://i.imgur.com/6QYYG9o.png)

</details>


**For Questions or Comments, find KG#7777 ![https://i.imgur.com/CPYNjXV.png](https://i.imgur.com/CPYNjXV.png) in the Odin Plus Team Discord:
[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/5gXNxNkUBt)**